Pave Bank
Return

Confirm Return

Confirm a return intent and trigger the SWIFT Pacs008 return message. The transaction must be in intent_created status. Use the GET Transaction endpoint to verify the final return status.

Confirm a return intent

After creating a return intent with the POST endpoint and reviewing the details via the GET Transaction endpoint, use this API to confirm and execute the return.

curl -X PUT 'https://developer-api-staging.pavebank.dev/v1/transfer/return' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <YOUR_IDEMPOTENCY_KEY>' \
  --header 'Authorization: Bearer <YOUR_BEARER_TOKEN>' \
  --data '{
  "transaction_id": "transaction_<YOUR_TRANSACTION_ID>"
}'

This API will respond with a transaction_id

{
  "transaction_id": "transaction_1jt9vwzof57z427158knbxsf2s"
}

The transaction status changes from intent_created to in_progress while the return is processed, then to return_completed once the SWIFT Pacs008 return message has been generated and published.

Use this transaction_id to query the transaction via the GET Transaction API. If you query the transaction immediately after invoking the PUT API, you may receive a response reflecting an intermediate state (e.g., in_progress) before the transaction reaches its final return_completed status.

Preconditions

  • The transaction must be in intent_created (RETURN-INTENT-CREATED) status
PUT
/v1/transfer/return

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Request Body

application/jsonOptional
transaction_idRequiredstring

Header Parameters

Idempotency-KeyRequiredstring

Response Body

Success response

transaction_idRequiredstring
curl -X PUT "https://developer-api-staging.pavebank.dev/v1/transfer/return" \
  -H "Idempotency-Key: string" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "transaction_id": "string"
  }'
{
  "transaction_id": "string"
}